## Class Swift_Plugins_ThrottlerPlugin

(line 22)

## Description

    Swift_Plugins_BandwidthMonitorPlugin
       |
       --Swift_Plugins_ThrottlerPlugin

Located in File: /vendors/swiftMailer/classes/Swift/Plugins/ThrottlerPlugin.php

##### Throttles the rate at which emails are sent.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:
BYTES_PER_MINUTE
MESSAGES_PER_MINUTE

#### BYTES_PER_MINUTE = 0x01 (line 28)

##### Flag for throttling in bytes per minute

#### MESSAGES_PER_MINUTE = 0x10 (line 31)

##### Flag for throttling in emails per minute

## Method Detail

Summary:
Swift_Plugins_ThrottlerPlugin __construct (int $rate, [ $mode = self::BYTES_PER_MINUTE], [Swift_Plugins_Sleeper $sleeper = null], [Swift_Plugins_Timer $timer = null], int $mode,)
void beforeSendPerformed (Swift_Events_SendEvent $evt)
int getTimestamp ()
void sendPerformed (Swift_Events_SendEvent $evt)
void sleep (int $seconds)

#### Constructor __construct (line 83)

#### Swift_Plugins_ThrottlerPlugin __construct( int $rate, [ $mode = self::BYTES_PER_MINUTE], [Swift_Plugins_Sleeper $sleeper = null], [Swift_Plugins_Timer $timer = null], int $mode,)

##### Create a new ThrottlerPlugin.

#### Parameters

- int $rate:
- int $mode,: defaults to BYTES_PER_MINUTE
- Swift_Plugins_Sleeper $sleeper: (only needed in testing)
- Swift_Plugins_Timer $timer: (only needed in testing)
- $mode:

#### Info

- access - public

#### Method beforeSendPerformed (line 96)

#### void beforeSendPerformed( Swift_Events_SendEvent $evt)

Overrides : Swift_Plugins_BandwidthMonitorPlugin::beforeSendPerformed() Not used.

##### Invoked immediately before the Message is sent.

#### Parameters

- Swift_Events_SendEvent $evt:

#### Info

- access - public

#### Method getTimestamp (line 150)

#### int getTimestamp( )

Implementation of:

Swift_Plugins_Timer::getTimestamp()
  Get the current UNIX timestamp.

##### Get the current UNIX timestamp

#### Info

- access - public

#### Method sendPerformed (line 124)

#### void sendPerformed( Swift_Events_SendEvent $evt)

Overrides : Swift_Plugins_BandwidthMonitorPlugin::sendPerformed() Invoked immediately after the Message is sent.

##### Invoked when a Message is sent.

#### Parameters

- Swift_Events_SendEvent $evt:

#### Info

- access - public

#### Method sleep (line 134)

#### void sleep( int $seconds)

Implementation of:

Swift_Plugins_Sleeper::sleep()
  Sleep for $seconds.

##### Sleep for $seconds.

#### Parameters

- int $seconds:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Plugins_BandwidthMonitorPlugin

#### Swift_Plugins_BandwidthMonitorPlugin::beforeSendPerformed() - Not used.

#### Swift_Plugins_BandwidthMonitorPlugin::bind() - Attach $is to this stream.

#### Swift_Plugins_BandwidthMonitorPlugin::commandSent() - Invoked immediately following a command being sent.

#### Swift_Plugins_BandwidthMonitorPlugin::commit() - Not used.

#### Swift_Plugins_BandwidthMonitorPlugin::flushBuffers() - Not used.

#### Swift_Plugins_BandwidthMonitorPlugin::getBytesIn() - Get the total number of bytes received from the server.

#### Swift_Plugins_BandwidthMonitorPlugin::getBytesOut() - Get the total number of bytes sent to the server.

#### Swift_Plugins_BandwidthMonitorPlugin::reset() - Reset the internal counters to zero.

#### Swift_Plugins_BandwidthMonitorPlugin::responseReceived() - Invoked immediately following a response coming back.

#### Swift_Plugins_BandwidthMonitorPlugin::sendPerformed() - Invoked immediately after the Message is sent.

#### Swift_Plugins_BandwidthMonitorPlugin::unbind() - Remove an already bound stream.

#### Swift_Plugins_BandwidthMonitorPlugin::write() - Called when a message is sent so that the outgoing counter can be increased.

Documentation generated on Fri, 12 Nov 2010 20:45:30 +0000 by phpDocumentor 1.4.3